#!/usr/bin/env python

import coral
from coral.addins.constraint.printModel import *

temp=printContent("UML14", ["printContentsTestModel.xml"])
assert len(temp[0])==16
assert len(temp)==1

temp=printContent("UML14", ["printContentsTestModel.xml", "printContentsTestModel2.xml"])
assert len(temp[0])==16
assert len(temp[1])==18
assert len(temp)==2

temp=printContent("UML14", ["printModel.py"])
assert temp==[]
